Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66739 - [audacity] .lsp files missing in /usr/shareaudacity/nyquist

Attached to Project: Community Packages
Opened by Rainer Beutelmann (rbeutelmann) - Friday, 22 May 2020, 14:10 GMT
Last edited by David Runge (dvzrv) - Monday, 25 May 2020, 15:26 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To David Runge (dvzrv)
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

Nyquist plugins do not work in the current Audacity version, because some .lsp files are missing from the /usr/share/audacity/nyquist directory. The Audacity log states: "Warning: Critical Nyquist files could not be found. Nyquist effects will not work."

Manually copying the missing files (see below) from the Github repo into /usr/share/audacity/nyquist solves the problem.

Additional info:
* package version(s): audacity-2.4.1-2

Steps to reproduce:

- Run Audacity
- Check Help->Diagnostics->Show log...

and additionally

- In the Tools->Add /Remove Plug-ins dialog, Nyquist plugins are disabled. They can be enable in the dialog, but will never appear in the menus. After closing and reopening the dialog, they are again disabled.



Files in community package:
aud-do-support.lsp
dspprims.lsp
envelopes.lsp
equalizer.lsp
evalenv.lsp
fileio.lsp
init.lsp
misc.lsp
nyinit-dbg.lsp
nyinit.lsp
nyqmisc.lsp

Additional files in nyquist directory on https://github.com/audacity/audacity
nyquist.lsp
printrec.lsp
profile.lsp
sal.lsp
sal-parse.lsp
seqfnint.lsp
seq.lsp
seqmidi.lsp
sliders.lsp
sndfnint.lsp
spec-plot.lsp
spectral-analysis.lsp
stk.lsp
system.lsp
test.lsp
velocity.lsp
xlinit.lsp
xm.lsp

This task depends upon

Closed by  David Runge (dvzrv)
Monday, 25 May 2020, 15:26 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed with audacity 1:2.4.1-3
Comment by David Runge (dvzrv) - Saturday, 23 May 2020, 20:42 GMT
@rbeutelmann: Thanks for the report.

Yeah, this seems to be yet another one of the issues with the (now more or less defunct) autotools setup (see https://bugs.archlinux.org/task/66733).
I will now manually install the files...
Comment by Rainer Beutelmann (rbeutelmann) - Monday, 25 May 2020, 15:20 GMT
Thank you, it works again out of the box now :-)
Comment by David Runge (dvzrv) - Monday, 25 May 2020, 15:25 GMT
Good to hear! I hope the autotools setup will not degrade further before I can use the cmake setup.

Loading...